=== docs/CMakeLists.txt ===
add_subdirectory(kioworker6)
