=== debian/changelog ===
kf6-kio (6.13.0-6) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Correctly suffix symbols introduced in 6.13.0-4, thanks Sebastinas
    for the clarification.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 08 Jun 2025 14:42:29 +0200

kf6-kio (6.13.0-5) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Suffix symbols introduced in the last upload  with ~ since they were
    added after the initial upload of that upstream release.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jun 2025 23:09:58 +0200

kf6-kio (6.13.0-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commits:
    - Show single-click selection emblem in open/save dialogs when using
    single-click mouse mode. (kde#185793)
    - When saving a file, don’t override user provided filename with folder
    name when navigating inside a folder with the keyboard. (kde#502794)
    - Fix actions described by D-Bus activatable desktop files not being
    triggered when there’s no Exec key.
    - Inhibit suspend while there’s a file copy job running. (kde#362542)
      - Update symbols accordingly.
    - Show busy indictor while emptying the trash.
    - Fix keyboard navigation unexpectedly switching to file name input when
    navigating the files panel in save dialogs. (kde#466206)
    - Fix excessive I/O when hovering over a folder showing thumbnails of its
    contents.
    - Fix incorrect usage percentage in Properties dialog for virtual
    filesystems.
    - Fix opening the “Advanced Options” window from the file properties dialog
    freezing Plasma completely until it’s closed. (kde#504608)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 20 May 2025 08:47:36 +0200

kf6-kio (6.13.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patch to use an arrow separator for separating folders.

 -- Patrick Franz <deltaone@debian.org>  Fri, 25 Apr 2025 22:41:52 +0200

kf6-kio (6.13.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sun, 13 Apr 2025 09:16:12 +0200

kf6-kio (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:37:26 +0200
