## kf6-kio 6.15.0

=== debian/changelog ===
kf6-kio (6.15.0-0ubuntu0~tux2) noble; urgency=medium

  * add patch to prevent dolphin crash with smb://foobar uri

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 13 Aug 2025 14:45:35 +0200

kf6-kio (6.15.0-0ubuntu0~tux1) noble; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Mon, 23 Jun 2025 19:50:03 +0200

kf6-kio (6.12.0-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * rebuild

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Fri, 28 Mar 2025 10:12:59 +0100
