=== debian/control ===
--- 
+++ 
@@ -11,31 +11,31 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-sodeps,
                doxygen,
-               extra-cmake-modules (>= 6.14.0~),
+               extra-cmake-modules (>= 6.16.0~),
                gettext,
-               kded6-dev (>= 6.15.0~),
+               kded6-dev (>= 6.16.0~),
                libacl1-dev,
-               libkf6archive-dev (>= 6.15.0~),
-               libkf6auth-dev (>= 6.15.0~),
-               libkf6bookmarks-dev (>= 6.15.0~),
-               libkf6colorscheme-dev (>= 6.15.0~),
-               libkf6completion-dev (>= 6.15.0~),
-               libkf6config-dev (>= 6.15.0~),
-               libkf6configwidgets-dev (>= 6.15.0~),
-               libkf6coreaddons-dev (>= 6.15.0~),
-               libkf6crash-dev (>= 6.15.0~),
-               libkf6dbusaddons-dev (>= 6.15.0~),
-               libkf6doctools-dev (>= 6.15.0~),
-               libkf6guiaddons-dev (>= 6.15.0~),
-               libkf6i18n-dev (>= 6.15.0~),
-               libkf6iconthemes-dev (>= 6.15.0~),
-               libkf6itemviews-dev (>= 6.15.0~),
-               libkf6jobwidgets-dev (>= 6.15.0~),
-               libkf6service-dev (>= 6.15.0~),
-               libkf6solid-dev (>= 6.15.0~),
-               libkf6wallet-dev (>= 6.15.0~),
-               libkf6widgetsaddons-dev (>= 6.15.0~),
-               libkf6windowsystem-dev (>= 6.15.0~),
+               libkf6archive-dev (>= 6.16.0~),
+               libkf6auth-dev (>= 6.16.0~),
+               libkf6bookmarks-dev (>= 6.16.0~),
+               libkf6colorscheme-dev (>= 6.16.0~),
+               libkf6completion-dev (>= 6.16.0~),
+               libkf6config-dev (>= 6.16.0~),
+               libkf6configwidgets-dev (>= 6.16.0~),
+               libkf6coreaddons-dev (>= 6.16.0~),
+               libkf6crash-dev (>= 6.16.0~),
+               libkf6dbusaddons-dev (>= 6.16.0~),
+               libkf6doctools-dev (>= 6.16.0~),
+               libkf6guiaddons-dev (>= 6.16.0~),
+               libkf6i18n-dev (>= 6.16.0~),
+               libkf6iconthemes-dev (>= 6.16.0~),
+               libkf6itemviews-dev (>= 6.16.0~),
+               libkf6jobwidgets-dev (>= 6.16.0~),
+               libkf6service-dev (>= 6.16.0~),
+               libkf6solid-dev (>= 6.16.0~),
+               libkf6wallet-dev (>= 6.16.0~),
+               libkf6widgetsaddons-dev (>= 6.16.0~),
+               libkf6windowsystem-dev (>= 6.16.0~),
                libmount-dev [linux-any],
                libxml2-dev,
                libxslt1-dev,
@@ -66,16 +66,16 @@
 Package: libkf6kio-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6bookmarks-dev (>= 6.12.0~),
-         libkf6completion-dev (>= 6.12.0~),
-         libkf6config-dev (>= 6.12.0~),
-         libkf6coreaddons-dev (>= 6.12.0~),
-         libkf6itemviews-dev (>= 6.12.0~),
-         libkf6jobwidgets-dev (>= 6.12.0~),
-         libkf6service-dev (>= 6.12.0~),
-         libkf6solid-dev (>= 6.12.0~),
-         libkf6widgetsaddons-dev (>= 6.12.0~),
-         libkf6windowsystem-dev (>= 6.12.0~),
+Depends: libkf6bookmarks-dev (>= 6.16.0~),
+         libkf6completion-dev (>= 6.16.0~),
+         libkf6config-dev (>= 6.16.0~),
+         libkf6coreaddons-dev (>= 6.16.0~),
+         libkf6itemviews-dev (>= 6.16.0~),
+         libkf6jobwidgets-dev (>= 6.16.0~),
+         libkf6service-dev (>= 6.16.0~),
+         libkf6solid-dev (>= 6.16.0~),
+         libkf6widgetsaddons-dev (>= 6.16.0~),
+         libkf6windowsystem-dev (>= 6.16.0~),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},
